#include <Item/StatelessItem/BasicItem/MachineUpgrade/MachineUpgrade.hpp>

MachineUpgrade::MachineUpgrade(std::string name, std::string displayName, Material &mat, int speedDelta, int efficiencyDelta) :
    BasicItem(name, displayName, mat),
    speedDelta(speedDelta),
    efficiencyDelta(efficiencyDelta)
{
    setMaxStackSize(64);
}